location:
    source_directories:
        - /data
    repositories:
        - ###repo####


storage:
    encryption_passphrase: "###token###"
    compression: auto,zstd
    ssh_command: ssh -i /root/.ssh/id_ed25519

retention:
    keep_daily: 7
    keep_weekly: 4
    keep_monthly: 6
    keep_yearly: 1

consistency:
    checks:
        - repository
        - archives

hooks:
    after_backup:
        - date +%s > /usr/lib/check_mk_agent/plugins/last_backup
    before_backup:
        - docker exec psc_mongodb_1 sh -c 'mongodump --archive' > /data/mongodb.dump
        - docker exec psc_mysql_1 /usr/bin/mysqldump -u root --password=Wichtig1 psc > /data/mysql_backup.sql
